using System;
using System.Collections;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Presentation;
using Microsoft.SPOT.Presentation.Controls;
using Microsoft.SPOT.Presentation.Media;
using Microsoft.SPOT.Touch;

using Gadgeteer.Networking;
using GT = Gadgeteer;
using GTM = Gadgeteer.Modules;
using Gadgeteer.Interfaces;
using Gadgeteer.Modules.GHIElectronics;
using Gadgeteer;
using Gadgeteer.Modules.Seeed;

namespace Robot_F6
{
    public interface IWebRequestHandler
    {
        ICommand NorthCommand { get; set; }
        ICommand NorthEastCommand { get; set; }
        ICommand EastCommand { get; set; }
        ICommand SouthEastCommand { get; set; }
        ICommand SouthCommand { get; set; }
        ICommand SouthWestCommand { get; set; }
        ICommand WestCommand { get; set; }
        ICommand NorthWestCommand { get; set; }
        ICommand StartCommand { get; set; }
        ICommand StopCommand { get; set; }
        ICommand BreakCommand { get; set; }

        ICommand FastCommand { get; set; }
        ICommand SlowCommand { get; set; }

        ICommand FireCommand { get; set; }
        
        ITemperatureMeasurer TemperatureMeasurer { get; set; }
        IHumidityMeasurer HumidityMeasurer { get; set; }

        void HandleRequest(HttpStream request);
    }
}
